FLANG

Public Member Functions | List of all members
Fortran::evaluate::FindImpureCallHelper Class Reference
Inheritance diagram for Fortran::evaluate::FindImpureCallHelper:

## Public Member Functions
| FindImpureCallHelper (const IntrinsicProcTable &intrinsics)
Result | operator() (const ProcedureRef &call) const
Public Member Functions inherited from Fortran::evaluate::AnyTraverse< FindImpureCallHelper, std::optional< std::string > >
| AnyTraverse (FindImpureCallHelper &v)
std::optional< std::string > | Default () const
Public Member Functions inherited from Fortran::evaluate::Traverse< FindImpureCallHelper, std::optional< std::string > >
| Traverse (FindImpureCallHelper &v)
std::optional< std::string > | operator() (const common::Indirection< A, C > &x) const
std::optional< std::string > | operator() (SymbolRef x) const
std::optional< std::string > | operator() (const std::unique_ptr< A > &x) const
std::optional< std::string > | operator() (const std::shared_ptr< A > &x) const
std::optional< std::string > | operator() (const A *x) const
std::optional< std::string > | operator() (const std::optional< A > &x) const
std::optional< std::string > | operator() (const std::variant< A... > &u) const
std::optional< std::string > | operator() (const std::vector< A > &x) const
std::optional< std::string > | operator() (const BOZLiteralConstant &) const
std::optional< std::string > | operator() (const NullPointer &) const
std::optional< std::string > | operator() (const Constant< T > &x) const
std::optional< std::string > | operator() (const Symbol &) const
std::optional< std::string > | operator() (const StaticDataObject &) const
std::optional< std::string > | operator() (const ImpliedDoIndex &) const
std::optional< std::string > | operator() (const BaseObject &x) const
std::optional< std::string > | operator() (const Component &x) const
std::optional< std::string > | operator() (const NamedEntity &x) const
std::optional< std::string > | operator() (const TypeParamInquiry< KIND > &x) const
std::optional< std::string > | operator() (const Triplet &x) const
std::optional< std::string > | operator() (const Subscript &x) const
std::optional< std::string > | operator() (const ArrayRef &x) const
std::optional< std::string > | operator() (const CoarrayRef &x) const
std::optional< std::string > | operator() (const DataRef &x) const
std::optional< std::string > | operator() (const Substring &x) const
std::optional< std::string > | operator() (const ComplexPart &x) const
std::optional< std::string > | operator() (const Designator< T > &x) const
std::optional< std::string > | operator() (const Variable< T > &x) const
std::optional< std::string > | operator() (const DescriptorInquiry &x) const
std::optional< std::string > | operator() (const SpecificIntrinsic &) const
std::optional< std::string > | operator() (const ProcedureDesignator &x) const
std::optional< std::string > | operator() (const ActualArgument &x) const
std::optional< std::string > | operator() (const ProcedureRef &x) const
std::optional< std::string > | operator() (const FunctionRef< T > &x) const
std::optional< std::string > | operator() (const ArrayConstructorValue< T > &x) const
std::optional< std::string > | operator() (const ArrayConstructorValues< T > &x) const
std::optional< std::string > | operator() (const ImpliedDo< T > &x) const
std::optional< std::string > | operator() (const semantics::ParamValue &x) const
std::optional< std::string > | operator() (const semantics::DerivedTypeSpec::ParameterMapType::value_type &x) const
std::optional< std::string > | operator() (const semantics::DerivedTypeSpec &x) const
std::optional< std::string > | operator() (const StructureConstructorValues::value_type &x) const
std::optional< std::string > | operator() (const StructureConstructor &x) const
std::optional< std::string > | operator() (const Operation< D, R, O > &op) const
std::optional< std::string > | operator() (const Operation< D, R, LO, RO > &op) const
std::optional< std::string > | operator() (const Relational< SomeType > &x) const
std::optional< std::string > | operator() (const Expr< T > &x) const

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::AnyTraverse< FindImpureCallHelper, std::optional< std::string > >
static std::optional< std::string > | Combine (std::optional< std::string > &&x, std::optional< std::string > &&y)

The documentation for this class was generated from the following file:

- lib/Evaluate/tools.cpp